# Class TableFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
uk.ac.starlink.table.TableFormatException

All Implemented Interfaces:
  `Serializable`

public class TableFormatException extends IOException
Exception thrown if a table handler fails to parse a table because it does not match the format it can decode.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TableFormatException()`
`TableFormatException(String message)`
`TableFormatException(String message, Throwable cause)`
`TableFormatException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TableFormatException

public TableFormatException(String message)

### TableFormatException

public TableFormatException()

### TableFormatException

public TableFormatException(String message, Throwable cause)

### TableFormatException

public TableFormatException(Throwable cause)